nlohmann::detail::is_compatible_array_type_impl< BasicJsonType, CompatibleArrayType, enable_if_t< is_detected< value_type_t, CompatibleArrayType >::value and is_detected< iterator_t, CompatibleArrayType >::value and not is_iterator_traits< iterator_traits< CompatibleArrayType > >::value > > Struct Template Reference

`#include <json.hpp>`

## Static Public Attributes

static constexpr bool | value

## Member Data Documentation

## value

template<typename BasicJsonType , typename CompatibleArrayType >

constexpr bool nlohmann::detail::is_compatible_array_type_impl< BasicJsonType, CompatibleArrayType, enable_if_t< is_detected< value_type_t, CompatibleArrayType >::value and is_detected< iterator_t, CompatibleArrayType >::value and not is_iterator_traits< iterator_traits< CompatibleArrayType > >::value > >::value

staticconstexpr

Initial value:
=
std::is_constructible<BasicJsonType,
typename CompatibleArrayType::value_type>::value

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp

nlohmann::detail::is_compatible_array_type_impl< BasicJsonType, CompatibleArrayType, enable_if_t< is_detected< value_type_t, CompatibleArrayType >::value and is_detected< iterator_t, CompatibleArrayType >::value and not is_iterator_traits< iterator_traits< CompatibleArrayType > >::value > >::value
static constexpr bool value
Definition: json.hpp:2703